#pragma once

#include <string>

#include "machine.h"

class Eval_cpp
{
public:
    explicit Eval_cpp(Machine& machine, const Locator& loc);
    Eval_cpp(const Eval_cpp&) = delete;
    Eval_cpp& operator=(const Eval_cpp&) = delete;
    //~Eval_cpp();

    std::string eval(const fs::path& library_path, const std::string& function_name);

    Machine m_machine {};
    Locator m_loc;
};
